%global __requires_exclude pear\\(HTML/Template/Flexy/Filter/SimpleTags.php\\)
%define upstream_name HTML_Template_Flexy
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.3.13
Release:     	%mkrel 1
Summary:    	An extremely powerful Tokenizer driven Template engine
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_Template_Flexy-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_Template_Flexy
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
HTML_Template_Flexy started it's life as a simplification of
HTML_Template_Xipe, 
however in Version 0.2, It became one of the first template engine to use a
real Lexer,
rather than regex'es, making it possible to do things like ASP.net or Cold
Fusion tags. 
However, it still has a very simple set of goals.
- Very Simple API, 
   o easy to learn...
   o prevents to much logic going in templates
- Easy to write document'able code
   o By using object vars for a template rather than 'assign', you 
     can use phpdoc comments to list what variable you use.
- Editable in WYSIWYG editors
   o you can create full featured templates, that doesnt get broken every
time you edit with 
     Dreamweaver(tm) or Mozilla editor
   o Uses namespaced attributes to add looping/conditionals  
- Extremely Fast, 
   o runtime is at least 4 time smaller than most other template engines
(eg. Smarty)
   o uses compiled templates, as a result it is many times faster on blocks
and loops than 
     than Regex templates (eg. IT/phplib)
- Safer (for cross site scripting attacks)
   o All variables default to be output as HTML escaped (overridden with
the :h modifier)
- Multilanguage support
   o Parses strings out of template, so you can build translation tools
   o Compiles language specific templates (so translation is only done
once, not on every request)
- Full dynamic element support (like ASP.NET), so you can pick elements to
replace at runtime

Features:
- {variable} to echo $object->variable
- {method()} to echo $object->method();
- {foreach:var,key,value} to PHP foreach loops
- tag attributes FLEXY:FOREACH, FLEXY:IF for looping and conditional HTML
inclusion
- {if:variable} to PHP If statement
- {if:method()} to PHP If statement
- {else:} and {end:} to close or alternate If statements
- FORM to HTML_Template_Flexy_Element's
- replacement of INPUT, TEXTAREA and SELECT tags with
HTML_Template_Flexy_Element code
  use FLEXY:IGNORE (inherited) and FLEXY:IGNOREONLY (single) to prevent
replacements
- FLEXY:START/FLEXY:STARTCHILDREN tags to define where template
starts/finishes
- support for urlencoded braces {} in HTML attributes.  
- documentation in the pear manual

- examples at http://cvs.php.net/cvs.php/pear/HTML_Template_Flexy/tests/

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_Template_Flexy.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_Template_Flexy.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_Template_Flexy
fi

%files
%doc docs/HTML_Template_Flexy/*
%{peardir}/*
%{xmldir}/HTML_Template_Flexy.xml


%changelog
* Sun Mar 13 2016 spuhler <spuhler> 1.3.13-1.mga6
+ Revision: 990261
- upgrade to vers. 1.3.13

* Mon Feb 08 2016 umeabot <umeabot> 1.3.12-8.mga6
+ Revision: 945737
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.12-7.mga5
+ Revision: 744447
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.3.12-6.mga5
+ Revision: 734048
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.12-5.mga5
+ Revision: 687284
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.3.12-4.mga4
+ Revision: 516833
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.12-3.mga3
+ Revision: 376276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 spuhler <spuhler> 1.3.12-2.mga2
+ Revision: 217774
- added define _requires_exceptions pear(HTML/Template/Flexy/Filter/SimpleTags.php)
  to accomodate for spleeing error on source package

* Mon Jan 23 2012 spuhler <spuhler> 1.3.12-1.mga2
+ Revision: 200055
- upgrade to 1.3.12
  pearized spec file

* Sat Mar 26 2011 spuhler <spuhler> 1.3.11-2.mga1
+ Revision: 77730
- added  _requires_exceptions pear(HTML/Template/Flexy/Filter/SimpleTags.php)
  increase rel for rebuild

* Fri Feb 25 2011 spuhler <spuhler> 1.3.11-1.mga1
+ Revision: 59292
- renamed the source from tgz to tar.gz
- updated to Version:	1.3.11
  Rel to 1

* Mon Feb 07 2011 spuhler <spuhler> 1.3.10-2.mga1
+ Revision: 48405
- increased rel to 2 for rebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.3.10-1.mga1
+ Revision: 20845
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTML_Template_Flexy


* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.10-1mdv2011.0
+ Revision: 569611
- new version

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.9-2mdv2010.1
+ Revision: 477886
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.9-1mdv2010.0
+ Revision: 383553
- update to new version 1.3.9

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.7-1mdv2009.1
+ Revision: 357909
- update to new version 1.3.7

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-3mdv2009.1
+ Revision: 321864
- rebuild

* Sat Sep 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-2mdv2009.0
+ Revision: 281914
- rule out some more old cruft

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.4-1mdv2009.0
+ Revision: 278920
- update to new version 1.3.4

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.5-3mdv2009.0
+ Revision: 224743
- rebuild

* Tue Feb 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-2mdv2008.1
+ Revision: 166138
- rpmlint fixes

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-1mdv2008.0
+ Revision: 15541
- 1.2.5


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdv2007.0
+ Revision: 81107
- Import php-pear-HTML_Template_Flexy

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdk
- 1.2.4
- new group (Development/PHP)

* Tue Nov 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdk
- rule out the dep that brings in php-gtk

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdk
- 1.2.3

* Thu Sep 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdk
- 1.2.2

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdk
- initial Mandriva package (PLD import)

